### Hierarchy

- ShouldAssertion
  - Should

## Index

### Properties

- Throw
- not
- throw

### Methods

- equal
- exist
- fail

## Properties

### Throw

Throw: ShouldThrow

Inherited from ShouldAssertion.Throw

- Defined in node_modules/@types/chai/index.d.ts:46

### not

not: ShouldAssertion

- Defined in node_modules/@types/chai/index.d.ts:52

### throw

throw: ShouldThrow

Inherited from ShouldAssertion.throw

- Defined in node_modules/@types/chai/index.d.ts:47

## Methods

### equal

- equal(value1: any, value2: any, message?: undefined | string): void

- Inherited from ShouldAssertion.equal

  - Defined in node_modules/@types/chai/index.d.ts:45

  #### Parameters

  - ##### value1: any

  - ##### value2: any

  - ##### Optional message: undefined | string

  #### Returns void

### exist

- exist(value: any, message?: undefined | string): void

- Inherited from ShouldAssertion.exist

  - Defined in node_modules/@types/chai/index.d.ts:48

  #### Parameters

  - ##### value: any

  - ##### Optional message: undefined | string

  #### Returns void

### fail

- fail(actual: any, expected: any, message?: undefined | string, operator?: Operator): void

- - Defined in node_modules/@types/chai/index.d.ts:53

  #### Parameters

  - ##### actual: any

  - ##### expected: any

  - ##### Optional message: undefined | string

  - ##### Optional operator: Operator

  #### Returns void

Generated using TypeDoc